# Uses of Interface
org.eclipse.core.databinding.observable.list.IObservableList

Packages that use IObservableList
Package
Description
org.eclipse.core.databinding
Provides classes for binding observable objects, for example UI widgets and model objects.
org.eclipse.core.databinding.observable
Provides the core APIs for observing changes in objects.
org.eclipse.core.databinding.observable.list
Provides classes for observing changes in lists.
org.eclipse.core.databinding.observable.masterdetail
Provides classes that can be used to observe a detail of a master object.
org.eclipse.core.databinding.observable.set
Provides classes that can be used to observe changes in sets.
org.eclipse.core.databinding.observable.value
Provides classes that can be used to observe changes in discrete values.
org.eclipse.core.databinding.property.list
org.eclipse.core.databinding.property.value
org.eclipse.core.databinding.validation
Provides the core APIs for validation.
org.eclipse.jface.databinding.fieldassist
Provides classes that bridge between data binding and the JFace Fieldassist framework.
org.eclipse.jface.databinding.swt
Provides classes that can be used to observe changes in SWT widgets.
org.eclipse.jface.databinding.viewers
Provides classes that can be used to observe the JFace Viewer framework.

## Uses of IObservableList in org.eclipse.core.databinding

Methods in org.eclipse.core.databinding that return IObservableList
Modifier and Type
Method
Description
`final IObservableList<Binding>`
DataBindingContext.`getBindings()`
Returns an unmodifiable `IObservableList` of all bindings in order by time of addition.
`IObservableList<IObservable>`
Binding.`getModels()`
`abstract IObservableList<IObservable>`
ValidationStatusProvider.`getModels()`
Returns an `IObservableList` containing the model observables (if any) that are being tracked by this validation status provider.
`IObservableList<IObservable>`
Binding.`getTargets()`
`abstract IObservableList<IObservable>`
ValidationStatusProvider.`getTargets()`
Returns an `IObservableList` containing the target observables (if any) that are being tracked by this validation status provider.
`final IObservableList<ValidationStatusProvider>`
DataBindingContext.`getValidationStatusProviders()`
Returns an unmodifiable `IObservableList` of all validation status providers in order by time of addition.
Methods in org.eclipse.core.databinding with parameters of type IObservableList
Modifier and Type
Method
Description
`final <T, M> Binding`
DataBindingContext.`bindList(IObservableList<T> targetObservableList, IObservableList<M> modelObservableList)`
Creates a `Binding` to synchronize the values of two `observable lists`.
`final <T, M> Binding`
DataBindingContext.`bindList(IObservableList<T> targetObservableList, IObservableList<M> modelObservableList, UpdateListStrategy<? super T,? extends M> targetToModel, UpdateListStrategy<? super M,? extends T> modelToTarget)`
Creates a `Binding` to synchronize the values of two `observable lists`.
`protected <M, T> UpdateListStrategy<M,T>`
DataBindingContext.`createModelToTargetUpdateListStrategy(IObservableList<M> modelObservableList, IObservableList<T> targetObservableList)`
Returns an update value strategy to be used for copying value list from the model list to the target list.
`protected <T, M> UpdateListStrategy<T,M>`
DataBindingContext.`createTargetToModelUpdateListStrategy(IObservableList<T> targetObservableList, IObservableList<M> modelObservableList)`
Returns an update value strategy to be used for copying value list from the target list to the model list.
`protected IStatus`
UpdateListStrategy.`doAdd(IObservableList<? super D> observableList, D element, int index)`
Adds the given element at the given index to the given observable list.
`protected IStatus`
UpdateListStrategy.`doMove(IObservableList<? super D> observableList, int oldIndex, int newIndex)`
Moves the element in the observable list located at the given old index to the given new index.
`protected IStatus`
UpdateListStrategy.`doRemove(IObservableList<? super D> observableList, int index)`
Removes the element at the given index from the given observable list.
`protected IStatus`
UpdateListStrategy.`doReplace(IObservableList<? super D> observableList, int index, D element)`
Replaces the element in the observable list located at the given index to with the given element.
`protected void`
UpdateListStrategy.`fillDefaults(IObservableList<? extends S> source, IObservableList<? super D> destination)`
Constructors in org.eclipse.core.databinding with parameters of type IObservableList
Modifier
Constructor
Description
``
`ListBinding(IObservableList<T> target, IObservableList<M> model, UpdateListStrategy<? super T,? extends M> targetToModelStrategy, UpdateListStrategy<? super M,? extends T> modelToTargetStrategy)`

## Uses of IObservableList in org.eclipse.core.databinding.observable

Methods in org.eclipse.core.databinding.observable that return IObservableList
Modifier and Type
Method
Description
`static <E> IObservableList<E>`
Observables.`emptyObservableList()`
Returns an empty observable list.
`static <E> IObservableList<E>`
Observables.`emptyObservableList(Object elementType)`
Returns an empty observable list of the given element type.
`static <E> IObservableList<E>`
Observables.`emptyObservableList(Realm realm)`
Returns an empty observable list belonging to the given realm.
`static <E> IObservableList<E>`
Observables.`emptyObservableList(Realm realm, Object elementType)`
Returns an empty observable list of the given element type and belonging to the given realm.
`static <E> IObservableList<E>`
Observables.`proxyObservableList(IObservableList<E> target)`
Returns an observable list that contains the same elements as the given list, and fires the same events as the given list, but can be disposed of without disposing of the wrapped list.
`static <E> IObservableList<E>`
Observables.`staticObservableList(List<E> list)`
Returns an observable list backed by the given list.
`static <E> IObservableList<E>`
Observables.`staticObservableList(List<E> list, Object elementType)`
Returns an observable list of the given element type, backed by the given list.
`static <E> IObservableList<E>`
Observables.`staticObservableList(Realm realm, List<E> list)`
Returns an observable list belonging to the given realm, backed by the given list.
`static <E> IObservableList<E>`
Observables.`staticObservableList(Realm realm, List<E> list, Object elementType)`
Returns an observable list of the given element type and belonging to the given realm, backed by the given list.
`static <E> IObservableList<E>`
Observables.`unmodifiableObservableList(IObservableList<E> list)`
Returns an unmodifiable observable list backed by the given observable list.
Methods in org.eclipse.core.databinding.observable with parameters of type IObservableList
Modifier and Type
Method
Description
`static <E> IObservableList<E>`
Observables.`proxyObservableList(IObservableList<E> target)`
Returns an observable list that contains the same elements as the given list, and fires the same events as the given list, but can be disposed of without disposing of the wrapped list.
`static <E> IObservableList<E>`
Observables.`unmodifiableObservableList(IObservableList<E> list)`
Returns an unmodifiable observable list backed by the given observable list.

## Uses of IObservableList in org.eclipse.core.databinding.observable.list

Classes in org.eclipse.core.databinding.observable.list that implement IObservableList
Modifier and Type
Class
Description
`class`
`AbstractObservableList<E>`
Subclasses should override at least get(int index) and size().
`class`
`ComputedList<E>`
A lazily calculated list that automatically computes and registers listeners on its dependencies as long as all of its dependencies are `IObservable` objects.
`class`
`DecoratingObservableList<E>`
An observable list which decorates another observable list.
`class`
`MultiList<E>`
An observable list backed by an array of observable lists.
`class`
`ObservableList<E>`
Abstract implementation of `IObservableList`, based on an underlying regular list.
`class`
`WritableList<E>`
Mutable observable list backed by an ArrayList.
Methods in org.eclipse.core.databinding.observable.list that return IObservableList
Modifier and Type
Method
Description
`static <E> IObservableList<E>`
ComputedList.`create(Supplier<List<E>> supplier)`
Factory method to create `ComputedList` objects in an easy manner.
`IObservableList<E>`
ListChangeEvent.`getObservableList()`
Returns the observable list from which this event originated.
Constructors in org.eclipse.core.databinding.observable.list with parameters of type IObservableList
Modifier
Constructor
Description
``
`DecoratingObservableList(IObservableList<E> decorated, boolean disposeDecoratedOnDispose)`
Constructs a DecoratingObservableList which decorates the given observable.
``
`ListChangeEvent(IObservableList<E> source, ListDiff<E> diff)`
Creates a new list change event.
``
`MultiList(IObservableList<E>[] lists)`
Deprecated.
use `MultiList(List)` instead
``
`MultiList(IObservableList<E>[] lists, Object elementType)`
Deprecated.
use `MultiList(List, Object)` instead
``
`MultiList(Realm realm, IObservableList<E>[] lists)`
Constructs a MultiList belonging to the given realm, and backed by the given observable lists.
``
`MultiList(Realm realm, IObservableList<E>[] lists, Object elementType)`
Deprecated.
use `MultiList(Realm, List, Object)` instead
Constructor parameters in org.eclipse.core.databinding.observable.list with type arguments of type IObservableList
Modifier
Constructor
Description
``
`MultiList(List<IObservableList<E>> lists)`
Constructs a MultiList in the default realm, and backed by the given observable lists.
``
`MultiList(List<IObservableList<E>> lists, Object elementType)`
Constructs a MultiList in the default realm backed by the given observable lists.
``
`MultiList(Realm realm, List<IObservableList<E>> lists, Object elementType)`
Constructs a MultiList belonging to the given realm, and backed by the given observable lists.

## Uses of IObservableList in org.eclipse.core.databinding.observable.masterdetail

Methods in org.eclipse.core.databinding.observable.masterdetail that return IObservableList
Modifier and Type
Method
Description
`static <M, E> IObservableList<E>`
MasterDetailObservables.`detailList(IObservableValue<M> master, IObservableFactory<? super M,IObservableList<E>> detailFactory, Object detailElementType)`
Creates a detail observable list from a master observable value and a factory.
`static <M, E> IObservableList<E>`
MasterDetailObservables.`detailValues(IObservableList<M> masterList, IObservableFactory<? super M,IObservableValue<E>> detailFactory, Object detailType)`
Returns a detail observable list where each element is the detail value of the element in the master observable list.
Methods in org.eclipse.core.databinding.observable.masterdetail with parameters of type IObservableList
Modifier and Type
Method
Description
`static <M, E> IObservableList<E>`
MasterDetailObservables.`detailValues(IObservableList<M> masterList, IObservableFactory<? super M,IObservableValue<E>> detailFactory, Object detailType)`
Returns a detail observable list where each element is the detail value of the element in the master observable list.
Method parameters in org.eclipse.core.databinding.observable.masterdetail with type arguments of type IObservableList
Modifier and Type
Method
Description
`static <M, E> IObservableList<E>`
MasterDetailObservables.`detailList(IObservableValue<M> master, IObservableFactory<? super M,IObservableList<E>> detailFactory, Object detailElementType)`
Creates a detail observable list from a master observable value and a factory.

## Uses of IObservableList in org.eclipse.core.databinding.observable.set

Constructors in org.eclipse.core.databinding.observable.set with parameters of type IObservableList
Modifier
Constructor
Description
``
`ListToSetAdapter(IObservableList<E> list)`

## Uses of IObservableList in org.eclipse.core.databinding.observable.value

Methods in org.eclipse.core.databinding.observable.value with parameters of type IObservableList
Modifier and Type
Method
Description
`static <T> DuplexingObservableValue<T>`
DuplexingObservableValue.`withDefaults(IObservableList<T> target, T emptyValue, T multiValue)`
Returns a DuplexingObservableValue implementation with predefined values to use if the list is empty or contains multiple different values.
Constructors in org.eclipse.core.databinding.observable.value with parameters of type IObservableList
Modifier
Constructor
Description
``
`DuplexingObservableValue(IObservableList<T> target)`
``
`DuplexingObservableValue(IObservableList<T> target, Object valueType)`

## Uses of IObservableList in org.eclipse.core.databinding.property.list

Methods in org.eclipse.core.databinding.property.list that return IObservableList
Modifier and Type
Method
Description
`IObservableList<E>`
DelegatingListProperty.`observe(Realm realm, S source)`
`IObservableList<E>`
DelegatingListProperty.`observe(S source)`
`IObservableList<E>`
IListProperty.`observe(Realm realm, S source)`
Returns an observable list observing this list property on the given property source
`IObservableList<E>`
IListProperty.`observe(S source)`
Returns an observable list observing this list property on the given property source
`IObservableList<E>`
ListProperty.`observe(S source)`
`IObservableList<E>`
MultiListProperty.`observe(Realm realm, S source)`
`IObservableList<E>`
SimpleListProperty.`observe(Realm realm, S source)`
`<U extends S>
IObservableList<E>`
IListProperty.`observeDetail(IObservableValue<U> master)`
Returns an observable list on the master observable's realm which tracks this property of the current value of `master`.
`<U extends S>
IObservableList<E>`
ListProperty.`observeDetail(IObservableValue<U> master)`
Methods in org.eclipse.core.databinding.property.list that return types with arguments of type IObservableList
Modifier and Type
Method
Description
`IObservableFactory<S,IObservableList<E>>`
IListProperty.`listFactory()`
Returns a factory for creating observable lists tracking this property of a particular property source.
`IObservableFactory<S,IObservableList<E>>`
IListProperty.`listFactory(Realm realm)`
Returns a factory for creating observable lists in the given realm, tracking this property of a particular property source.
`IObservableFactory<S,IObservableList<E>>`
ListProperty.`listFactory()`
`IObservableFactory<S,IObservableList<E>>`
ListProperty.`listFactory(Realm realm)`

## Uses of IObservableList in org.eclipse.core.databinding.property.value

Methods in org.eclipse.core.databinding.property.value that return IObservableList
Modifier and Type
Method
Description
`<U extends S>
IObservableList<T>`
DelegatingValueProperty.`observeDetail(IObservableList<U> master)`
`<M extends S>
IObservableList<T>`
IValueProperty.`observeDetail(IObservableList<M> master)`
Returns an observable list on the master observable's realm which tracks this property on each element of `master`.
`<U extends S>
IObservableList<T>`
SimpleValueProperty.`observeDetail(IObservableList<U> master)`
`<V extends S>
IObservableList<T>`
ValueProperty.`observeDetail(IObservableList<V> master)`
Methods in org.eclipse.core.databinding.property.value with parameters of type IObservableList
Modifier and Type
Method
Description
`<U extends S>
IObservableList<T>`
DelegatingValueProperty.`observeDetail(IObservableList<U> master)`
`<M extends S>
IObservableList<T>`
IValueProperty.`observeDetail(IObservableList<M> master)`
Returns an observable list on the master observable's realm which tracks this property on each element of `master`.
`<U extends S>
IObservableList<T>`
SimpleValueProperty.`observeDetail(IObservableList<U> master)`
`<V extends S>
IObservableList<T>`
ValueProperty.`observeDetail(IObservableList<V> master)`

## Uses of IObservableList in org.eclipse.core.databinding.validation

Methods in org.eclipse.core.databinding.validation that return IObservableList
Modifier and Type
Method
Description
`IObservableList<IObservable>`
MultiValidator.`getModels()`
`IObservableList<IObservable>`
MultiValidator.`getTargets()`
`<E> IObservableList<E>`
MultiValidator.`observeValidatedList(IObservableList<E> target)`
Returns a wrapper `IObservableList` which stays in sync with the given target observable only when the validation status is valid.
Methods in org.eclipse.core.databinding.validation with parameters of type IObservableList
Modifier and Type
Method
Description
`<E> IObservableList<E>`
MultiValidator.`observeValidatedList(IObservableList<E> target)`
Returns a wrapper `IObservableList` which stays in sync with the given target observable only when the validation status is valid.

## Uses of IObservableList in org.eclipse.jface.databinding.fieldassist

Methods in org.eclipse.jface.databinding.fieldassist with parameters of type IObservableList
Modifier and Type
Method
Description
`static ControlDecorationSupport`
ControlDecorationSupport.`create(IObservableValue<IStatus> validationStatus, int position, IObservableList<IObservable> targetsToBeDecorated)`
Creates a ControlDecorationSupport which observes the given validation status and displays a `ControlDecoration` over the underlying SWT control of all target observables that implement `ISWTObservable` or `IViewerObservable`.
`static ControlDecorationSupport`
ControlDecorationSupport.`create(IObservableValue<IStatus> validationStatus, int position, Composite composite, IObservableList<IObservable> targetsToBeDecorated)`
Creates a ControlDecorationSupport which observes the validation status and displays a `ControlDecoration` over the underlying SWT control of all target observables that implement `ISWTObservable` or `IViewerObservable`.
`static ControlDecorationSupport`
ControlDecorationSupport.`create(IObservableValue<IStatus> validationStatus, int position, Composite composite, ControlDecorationUpdater updater, IObservableList<IObservable> targetsToBeDecorated)`
Creates a ControlDecorationSupport which observes the validation status and displays a `ControlDecoration` over the underlying SWT control of all target observables that implement `ISWTObservable` or `IViewerObservable`.

## Uses of IObservableList in org.eclipse.jface.databinding.swt

Subinterfaces of IObservableList in org.eclipse.jface.databinding.swt
Modifier and Type
Interface
Description
`interface`
`ISWTObservableList<E>`
`IObservableList` observing an SWT widget.

## Uses of IObservableList in org.eclipse.jface.databinding.viewers

Subinterfaces of IObservableList in org.eclipse.jface.databinding.viewers
Modifier and Type
Interface
Description
`interface`
`IViewerObservableList<E>`
`IObservableList` observing a JFace Viewer.
Methods in org.eclipse.jface.databinding.viewers that return IObservableList
Modifier and Type
Method
Description
`IObservableList<E>`
IViewerListProperty.`observe(S widget)`
This method is redeclared to trigger ambiguous method errors that are hidden by a suspected Eclipse compiler bug 536911.
`IObservableList<E>`
ViewerListProperty.`observe(Realm realm, S source)`
`IObservableList<E>`
ViewerListProperty.`observe(S source)`
Methods in org.eclipse.jface.databinding.viewers with parameters of type IObservableList
Modifier and Type
Method
Description
`static <E> void`
ViewerSupport.`bind(StructuredViewer viewer, IObservableList<E> input, IValueProperty<? super E,?> labelProperty)`
Binds the viewer to the specified input, using the specified label property to generate labels.
`static <E> void`
ViewerSupport.`bind(StructuredViewer viewer, IObservableList<E> input, IValueProperty<? super E,?>... labelProperties)`
Binds the viewer to the specified input, using the specified label properties to generate labels.
Constructor parameters in org.eclipse.jface.databinding.viewers with type arguments of type IObservableList
Modifier
Constructor
Description
``
`ObservableListTreeContentProvider(IObservableFactory<? super E,? extends IObservableList<E>> listFactory, TreeStructureAdvisor<? super E> structureAdvisor)`
Constructs an ObservableListTreeContentProvider using the given list factory.